net.sourceforge.pmd.lang.ecmascript.ast

## Class ASTObjectProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode<T>
    - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractInfixEcmascriptNode<org.mozilla.javascript.ast.ObjectProperty>
      - - net.sourceforge.pmd.lang.ecmascript.ast.ASTObjectProperty

- All Implemented Interfaces:
    Node, EcmascriptNode<org.mozilla.javascript.ast.ObjectProperty>

      public class ASTObjectProperty
      extends AbstractInfixEcmascriptNode<org.mozilla.javascript.ast.ObjectProperty>

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `node`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTObjectProperty(org.mozilla.javascript.ast.ObjectProperty objectProperty)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isGetter()`
    `boolean` | `isSetter()`
    `Object` | `jjtAccept(EcmascriptParserVisitor visitor, Object data)` Accept the visitor.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractInfixEcmascriptNode

      `getLeft, getRight`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `childrenAccept, getJsDoc, getNode, hasSideEffects, toString`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Constructor Detail

    - #### ASTObjectProperty

          public ASTObjectProperty(org.mozilla.javascript.ast.ObjectProperty objectProperty)

  - ### Method Detail

    - #### jjtAccept

          public Object jjtAccept(EcmascriptParserVisitor visitor,
                         Object data)

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `EcmascriptNode<org.mozilla.javascript.ast.ObjectProperty>`
      Overrides:
        `jjtAccept` in class `AbstractEcmascriptNode<org.mozilla.javascript.ast.ObjectProperty>`

    - #### isGetter

          public boolean isGetter()

    - #### isSetter

          public boolean isSetter()

Copyright © 2002-2013 InfoEther. All Rights Reserved.